Register a new counterparty to a customer
curl --request POST \
--url https://fxaas-dev.acorianacorretora.com.br/batches/{batch_id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"currency_amount": 123,
"customer_id": "<string>",
"counterparty_id": "<string>"
}
'import requests
url = "https://fxaas-dev.acorianacorretora.com.br/batches/{batch_id}"
payload = {
"currency_amount": 123,
"customer_id": "<string>",
"counterparty_id": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency_amount: 123, customer_id: '<string>', counterparty_id: '<string>'})
};
fetch('https://fxaas-dev.acorianacorretora.com.br/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operation_id": "<string>",
"foreign_currency_amount": 123,
"currency_pair": "<string>",
"status": "<string>",
"customer_id": "<string>",
"bank_account": {
"bank_name": "<string>",
"swift_code": "<string>",
"bank_country": "<string>",
"account_number": "<string>",
"iban": "<string>",
"aba_routing_number": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"counterparty_id": "<string>",
"intermediary_bank": {
"bank_name": "<string>",
"swift_code": "<string>",
"bank_country": "<string>"
},
"batch_id": "<string>"
}{
"message": "<string>"
}Batches
Add Operation
This endpoint registers a new counterparty for a specified customer. The counterparty details are provided in the request body.
POST
/
batches
/
{batch_id}
Register a new counterparty to a customer
Headers
Authorization header
Example:
"Bearer Token"
Path Parameters
Body
application/json
Response
Counterparty registered successfully
Unique identifier of the operation
Amount in foreign currency
Currency pair for the operation
Current status of the operation
Identifier of the customer
Show child attributes
Show child attributes
Timestamp when the operation was created
Identifier of the counterparty
Show child attributes
Show child attributes
Identifier of the associated batch

